@layer components {

    /* Platform badges */
    .game-platform {
        display: flex;
        align-items: center;
        justify-content: center;
        min-width: var(--space-32);
        max-width: 2.2rem;
        aspect-ratio: 16 / 9;
        border-radius: var(--radius-corner);
        color: var(--color-text-inverse);
        font-size: var(--text-xs);
        font-weight: var(--font-weight-bold);
        text-transform: uppercase;

        @media (min-width: 768px) {
            min-width: var(--space-40);
            max-width: var(--space-40);
        }
    }
}